API referenceDocuments
Retrieve a document
GET
bearerAuthheader
AuthorizationBearer <sk_live_<region>_<secret>>id*stringObject id.
Match
^(?!\.\.?$)(?!__.*__$)[^/]+$Length
1 <= length <= 200Success
application/json- response
id*stringobject*stringsource*stringYour system label, as pushed.
external_id*stringtitle*stringbody*stringurl*string|nullmetadata*created_by*string|nullcreated_at*|nullupdated_at*|nullExample Request
curl -X GET 'https://api.synqed.dev/v1/documents/string'Example Response
{ "id": "string", "object": "document", "source": "string", "external_id": "string", "title": "string", "body": "string", "url": "string", "metadata": { "property1": null, "property2": null }, "created_by": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}